# Generated by Django 3.0.7 on 2020-07-08 17:38

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
from django.utils.timezone import utc


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, verbose_name='Name')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date and time of creation')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Date and time of last change')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=100, verbose_name='Name')),
                ('content', models.TextField(verbose_name='Content')),
                ('published', models.DateTimeField(default=datetime.datetime(2020, 7, 8, 17, 38, 48, 440688, tzinfo=utc), verbose_name='Date of creation')),
                ('image', models.ImageField(blank=True, null=True, upload_to='blog', verbose_name='Image')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Date and time of creation')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Date and time of last change')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Auth')),
                ('categories', models.ManyToManyField(to='blog.Category', verbose_name='Categories')),
            ],
            options={
                'verbose_name': 'entry',
                'verbose_name_plural': 'entries',
                'ordering': ['-created'],
            },
        ),
    ]
